Bug 543929

Summary: Qemu shouldn't bring along its own udev kvm rules file
Product: [Fedora] Fedora Reporter: Andrew Clayton <andrew>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: berrange, dwmw2, gcosta, itamar, jaswinder, jforbes, markmc, quintela, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-08 04:49:29 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andrew Clayton 2009-12-03 09:30:23 EST
Description of problem:

On F12 there is a file 

/lib/udev/rules.d/70-acl.rules

which contains the following 

SUBSYSTEM=="misc", KERNEL=="kvm", ENV{ACL_MANAGE}="1"

which gives the following

crw-rw----+ 1 root root 10, 232 2009-12-03 14:13 /dev/kvm

and the currently logged in user is added into the ACL and that's fine.

However qemu-system-x86-0.11.0-11.fc12.x86_64 has decided to bring along its own udev rule file.

/etc/udev/rules.d/80-kvm.rules

which contains

KERNEL=="kvm", GROUP="kvm", MODE="0666"

and leads to

crw-rw-rw-+ 1 root kvm 10, 232 Dec  3 11:53 /dev/kvm

Not so good.
Comment 1 Fedora Admin XMLRPC Client 2010-03-09 12:17:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Bug Zapper 2010-11-04 00:28:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Andrew Clayton 2010-11-06 14:41:26 EDT
Still the same situation in F14.

$ ls -l /dev/kvm
crw-rw-rw-+ 1 root kvm 10, 232 Nov  6 14:40 /dev/kvm

mode 0666 is unnecessary due to acl's

$ getfacl /dev/kvm
getfacl: Removing leading '/' from absolute path names
# file: dev/kvm
# owner: root
# group: kvm
user::rw-
user:andrew:rw-
group::rw-
mask::rw-
other::rw-
Comment 4 Daniel Berrange 2010-11-08 04:49:29 EST
The /lib/udev/rules.d/70-acl.rules file only gives access to the currently logged in user.  80-kvm.rules gives access to *all* users on the machine. The latter *is* the intended behaviour, because access to /dev/kvm is not security sensitive.